import request from '@/utils/request'

export function listSciencePlan() {
  return request({
    url: '/system/sciencePlan/list',
    method: 'get'
  })
}

export function getSciencePlan(id) {
  return request({
    url: '/system/sciencePlan/' + id,
    method: 'get'
  })
}

export function addSciencePlan(data) {
  return request({
    url: '/system/sciencePlan',
    method: 'post',
    data: data
  })
}

export function updateSciencePlan(data) {
  return request({
    url: '/system/sciencePlan',
    method: 'put',
    data: data
  })
}

export function delSciencePlan(ids) {
  return request({
    url: '/system/sciencePlan/' + ids,
    method: 'delete'
  })
}
